{% set currentGroupe = null %}
{% set currentTyO = null %}
{% set currentTyT = null %}

<div id="layerManager">

    {% for message in app.session.getFlashBag.get('message') %}
        <div class="flash" data-alert="alert">
            <div class="lead btn btn-{{ message.status }}">{{ message.text }}</div>
        </div>
    {% endfor %}


    {% for group in layers %}

        {% if currentGroupe != group.group and 
        ( [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'lecteur']|hasAccess 
        or [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'contributeur']|hasAccess
        )%}
            {% set currentGroupe = group.group %}
            {#
                                                                        			<div class="row" {{ U.tabGroupInfo[group.group]|default(null) == 'remove' ? 'style="display:none"' }}>
                                                                        				<div class="col-xs-12">
                                                                        					<h2>{{ group.group }}						
                                                                        					</h2>
                                                                        				</div>
                                                                        			</div>
                                                                                    #}
        {% endif %}

        {% if (currentTyO == null) or (currentTyO !=  group.sysma_object_type) %}
            {% set currentTyO = group.sysma_object_type %}
            {% set currentTyOId = group.sysma_object_type_id %}
        {% endif %}

        {% if 
            ([app.session.get('user_id'),null,group.sysma_object_type_id , null, null, null, null, 'lecteur']|hasAccess or [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'contributeur']|hasAccess)            
        %}

            {% if  group.user_id != null %}

                <div class="row rowPrint" {# style="border:solid 1px black" #} id="layerobjecttypeRow{{group.sysma_object_type_id }}" {{ U.tabGroupInfo[group.group]|default(null) == 'hide' or U.tabGroupInfo[group.group]|default(null) == 'remove' ? 'style="display:none"' }}>
                    <div style="display:none;">
                        {% if group.geometry_type != 'no_geom' %}
                            <input id="layerobjecttype{{group.sysma_object_type_id }}LayerController" type="checkbox"/>
                        {% endif %}
                    </div>

                    <div class="floatLeft iconPrint" {# style="border:solid 1px black" #}>


                        {% if group.geometry_type == 'ST_Linestring' %}
                            <svg height="18" width="18">
                                {% if group.style.secondLine|default(null) == '1' %}
                                    <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ group.style.secondLineColor }};stroke-opacity:{{ group.style.secondLineOpacity }};stroke-width:{{ group.style.secondLineWeight }};stroke-linecap:round;stroke-linejoin:round"/>
                                    <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ group.style.color }};stroke-opacity:{{ group.style.opacity }};stroke-width:{{ group.style.weight }};stroke-dasharray:{{ group.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
                                {% else %}
                                    <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ group.style.color }};stroke-opacity:{{ group.style.opacity }};stroke-width:{{ group.style.weight }};stroke-dasharray:{{ group.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
                                {% endif %}
                            </svg>
                        {% endif %}

                        {% if group.geometry_type == 'ST_Polygon' %}
                            <svg height="18" width="18">
                                <rect width="18" height="18" stroke="{{ group.style.color }}" stroke-opacity="{{ group.style.opacity }}" stroke-width="{{ group.style.weight }}" fill="{{ group.style.fillColor|default(group.style.color) }}" fill-opacity="{{ group.style.fillOpacity|default(group.style.opacity) }}" stroke-dasharray="{{ group.style.dashArray|default(0) }}" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                        {% endif %}

                        {% if group.geometry_type == 'ST_Point' %}

                            {% if group.style.icon is defined and group.style.icon == 1 and group.style.iconUrl != '' %}

                                {% set size = 18 %}
                                {% set fillRadius = size /2  * (group.style.fillRadius|default(0.05)/10) %}
                                {% set backColor =  group.style.fillColor|default(group.style.color)|hexToRGB %}

                                <div class="iconPoint" style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ group.style.fillOpacity|default(group.style.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;text-align:center;">
                                    <div style="width:{{size}}px;height:{{size}}px;background:{{ group.style.color }};-webkit-mask-image:url({{ group.style.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ (size * 0.8)|round }}px;-webkit-mask-position: center;mask-image:url({{ group.style.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ group.style.opacity|default(1) }}"></div>
                                </div>
                            {% else %}
                                <div style="width:20px;text-center;">
                                    <svg height="18" width="18">
                                        <circle cx="9" cy="9" r="6" stroke="{{ group.style.color }}" stroke-opacity="{{ group.style.opacity }}" stroke-width="{{ min(group.style.weight,5) }}" fill="{{ group.style.fillColor|default(group.style.color) }}" fill-opacity="{{ group.style.fillOpacity|default(group.style.opacity) }}"/>
                                    </svg>
                                </div>
                            {% endif %}


                        {% endif %}


                        {% if group.geometry_type == 'no_geom' %}
                            <svg height="18" width="18">
                                <rect width="18" height="18" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
                                <line x1="0" y1="0" x2="18" y2="18" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
                                <line x1="0" y1="18" x2="18" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
                            </svg>
                        {% endif %}


                    </div>


                    <div class="layerNamePrint">
                        {{ group.sysma_object_type|raw }}
                    </div>

                </div>

                {% if U.tabAT['sysma_object'][group.sysma_object_type_id] is defined %}
                    <div class="row rowPrint ATPrint">


                        {% set hideActivateButton = true %}
                        {{ render(url('formatting-details', { 'theme_analysis_id' : U.tabAT['sysma_object'][group.sysma_object_type_id], 'hideActivateButton' : true })) }}


                    </div>
                {% endif %}

            {% endif %}

            {% if tt[group.sysma_object_type_id]|length > 0 %}


                {% for tr in tt[group.sysma_object_type_id] %}

                    {% if 
                                        ([app.session.get('user_id'),null,group.sysma_object_type_id ,null, tr.sysma_action_type_id, null, null, 'lecteur']|hasAccess  or [app.session.get('user_id'),null,group.sysma_object_type_id ,null, tr.sysma_action_type_id, null, null, 'contributeur']|hasAccess)
                                        and tr.user_id != null  
                                        %}


                        <div id="layerobjecttypeTravaux{{group.sysma_object_type_id }}">

                            <div id="layeractiontypeRow{{tr.sysma_action_type_id }}" class="row rowPrint">

                                <div style="display:none;">
                                    <input id="layeractiontype{{tr.sysma_action_type_id }}LayerController" type="checkbox" onclick='addLayer("actiontype", {{tr.sysma_action_type_id }}, null, {{ currentTyOId  }}, { "center" : $("#center").val(), "zoom" : $("#zoom").val() });'/>
                                </div>

                                <div class="floatLeft iconPrint">

                                    {% if group.geometry_type == 'ST_Linestring' %}
                                        <svg height="18" width="18">
                                            {% if tr.style.secondLine|default(null) == '1' %}
                                                <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ tr.style.secondLineColor }};stroke-opacity:{{ tr.style.secondLineOpacity }};stroke-width:{{ tr.style.secondLineWeight }};stroke-linecap:round;stroke-linejoin:round"/>
                                                <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ tr.style.color }};stroke-opacity:{{ tr.style.opacity }};stroke-width:{{ tr.style.weight }};stroke-dasharray:{{ tr.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
                                            {% else %}
                                                <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ tr.style.color }};stroke-opacity:{{ tr.style.opacity }};stroke-width:{{ tr.style.weight }};stroke-dasharray:{{ tr.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
                                            {% endif %}
                                        </svg>
                                    {% endif %}

                                    {% if group.geometry_type == 'ST_Polygon'   %}
                                        <svg height="18" width="18">
                                            <rect width="18" height="18" stroke="{{ tr.style.color }}" stroke-opacity="{{ tr.style.opacity }}" stroke-width="{{ tr.style.weight }}" fill="{{ tr.style.fillColor|default(tr.style.color) }}" fill-opacity="{{ tr.style.fillOpacity|default(tr.style.opacity) }}" stroke-dasharray="{{ tr.style.dashArray|default(0) }}" ;stroke-linecap="round" ;stroke-linejoin="round"/>
                                        </svg>
                                    {% endif %}

                                    {% if group.geometry_type == 'ST_Point' %}

                                        {% if tr.style.icon is defined and tr.style.icon == 1 and tr.style.iconUrl|default(null) != '' %}

                                            {% set size = 18 %}
                                            {% set fillRadius = size /2  * (tr.style.fillRadius|default(0.05)/10) %}
                                            {% set backColor =  tr.style.fillColor|default(tr.style.color)|hexToRGB %}

                                            <div class="iconPoint" style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ tr.style.fillOpacity|default(tr.style.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;text-align:center;">
                                                <div style="width:{{size}}px;height:{{size}}px;background:{{ tr.style.color }};-webkit-mask-image:url({{ tr.style.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ (size * 0.8)|round }}px;-webkit-mask-position: center;mask-image:url({{ tr.style.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ tr.style.opacity|default(1) }}"></div>
                                            </div>
                                        {% else %}
                                            <div style="width:20px;text-center;">
                                                <svg height="18" width="18">
                                                    <circle cx="9" cy="9" r="6" stroke="{{ tr.style.color }}" stroke-opacity="{{ tr.style.opacity }}" stroke-width="{{ min(tr.style.weight,5) }}" fill="{{ tr.style.fillColor|default(tr.style.color) }}" fill-opacity="{{ tr.style.fillOpacity|default(tr.style.opacity) }}"/>
                                                </svg>
                                            </div>
                                        {% endif %}


                                    {% endif %}


                                    {% if group.geometry_type == 'no_geom' %}
                                        <svg height="18" width="18">
                                            <rect width="18" height="18" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
                                            <line x1="0" y1="0" x2="18" y2="18" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
                                            <line x1="0" y1="18" x2="18" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
                                        </svg>
                                    {% endif %}

                                </div>

                                <div class="layerNamePrint">
                                    {{group.sysma_object_type|raw}}
                                    -
                                    {{ tr.sysma_action_type|raw }}

                                </div>

                            </div>

                        {% endif %}

                        {% if U.tabAT['sysma_action'][tr.sysma_action_type_id] is defined %}
                            <div class="row rowPrint ATPrint">


                                {% set hideActivateButton = true %}
                                {{ render(url('formatting-details', { 'theme_analysis_id' : U.tabAT['sysma_action'][tr.sysma_action_type_id], 'hideActivateButton' : true })) }}


                            </div>
                        {% endif %}

                    </div>


                {% endfor %}


            {% endif %}

        {% endif %}

    {% endfor %}

    {% if others|length > 0 %}

        {% for ot in others %}

            {% if ot.user_id != null %}

                {% if currentGroupe is not defined or currentGroupe != ot.group %}
                    {#
                                                                                                                    									<div class="row" {{ U.tabGroupInfo[ot.group]|default(null) == 'remove' ? 'style="display:none"' }}>
                                                                                                                    										<div class="col-xs-12">
                                                                                                                    
                                                                                                                    											<h2>{{ot.group}}												
                                                                                                                    											</h2>
                                                                                                                    										</div>
                                                                                                                    									</div>
                                                                                                                                                        #}
                    {% set currentGroupe  =  ot.group   %}
                {% endif %}

                <div id="layer{{ ot.type }}Row{{ ot.id }}" class="row rowPrint" {{ U.tabGroupInfo[ot.group]|default(null) == 'hide' or U.tabGroupInfo[ot.group]|default(null) == 'remove' ? 'style="display:none"' }}>

                    <div style="display:none;">
                        <input id="layer{{ ot.type }}{{ ot.id }}LayerController" type="checkbox" onclick='addLayer("{{ ot.type }}", "{{ot.id }}", { {% for key in ot.style|keys %}"{{key}}": "{{ot.style[key]}}",                       {% endfor %} }, null, {"center" : $("#center").val(), "zoom" : $("#zoom").val() });'/>
                    </div>


                    <div class="floatLeft iconPrint">
                        {% if ot.geometry_type == 'ST_Linestring' %}
                            <svg height="18" width="18">
                                <line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ ot.style.color }};stroke-opacity:{{ ot.style.opacity }};stroke-width:{{ ot.style.weight }};stroke-dasharray:{{ ot.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
                            </svg>
                        {% endif %}

                        {% if ot.geometry_type == 'ST_Polygon' or ot.geometry_type == 'ST_Polygon_to_Linestring' %}
                            <svg height="18" width="18">
                                <rect width="18" height="18" stroke="{{ ot.style.color }}" stroke-opacity="{{ ot.style.opacity }}" stroke-width="{{ ot.style.weight }}" fill="{{ ot.style.fillColor|default(ot.style.color) }}" fill-opacity="{{ ot.style.fillOpacity|default(ot.style.opacity) }}" stroke-dasharray="{{ ot.style.dashArray|default(0) }}" ;stroke-linecap="round" ;stroke-linejoin="round"/>
                            </svg>
                        {% endif %}

                        {% if ot.geometry_type == 'ST_Point' %}


                            {% if ot.style.icon is defined and ot.style.icon == 1 and ot.style.iconUrl != '' %}

                                {% set size = 18 %}
                                {% set fillRadius = size /2  * (ot.style.fillRadius|default(0.05)/10) %}
                                {% set backColor =  ot.style.fillColor|default(ot.style.color)|hexToRGB %}

                                <div class="iconPoint" style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ ot.style.fillOpacity|default(ot.style.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;text-align:center;">
                                    <div style="width:{{size}}px;height:{{size}}px;background:{{ ot.style.color }};-webkit-mask-image:url({{ ot.style.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ (size * 0.8)|round }}px;-webkit-mask-position: center;mask-image:url({{ ot.style.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ ot.style.opacity|default(1) }}"></div>
                                </div>
                            {% else %}
                                <div style="width:20px;text-center;">
                                    <svg height="18" width="18">
                                        <circle cx="9" cy="9" r="6" stroke="{{ ot.style.color }}" stroke-opacity="{{ ot.style.opacity }}" stroke-width="{{ min(ot.style.weight,5) }}" fill="{{ ot.style.fillColor|default(ot.style.color) }}" fill-opacity="{{ ot.style.fillOpacity|default(ot.style.opacity) }}"/>
                                    </svg>
                                </div>
                            {% endif %}


                        {% endif %}


                        {% if ot.geometry_type == 'no_geom' %}
                            <svg height="18" width="18">
                                <rect width="18" height="18" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
                                <line x1="0" y1="0" x2="18" y2="18" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
                                <line x1="0" y1="18" x2="18" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
                            </svg>
                        {% endif %}

                    </div>

                    <div class="layerNamePrint">
                        {{ ot.nom|capitalize }}
                    </div>

                </div>

            {% endif %}

        {% endfor %}

    {% endif %}
</div>
<script type="text/javascript">

    enableLoadOnPan();{% for ot in others %}{% if ot.user_id %}
            addLayer("{{ ot.type }}", "{{ ot.id }}", {
            {% for key in ot.style|keys %}"{{ key }}" : "{{ ot.style[key] }}",
                {% endfor %}
            }, null, {
                'center': '{{ U.default_center }}',
                'zoom': {{ U.default_zoom }}
            });{% endif %}{% endfor %}{% for group in layers %}{% if (group.user_id != null and group.geometry_type != 'no_geom') %}addLayer("objecttype", {{ group.sysma_object_type_id }}, null, null, {
                'center': '{{ U.default_center }}',
                'zoom': {{ U.default_zoom }}
            });{% endif %}{% for tr in tt[group.sysma_object_type_id] %}{% if (tr.user_id != null) %}addLayer("actiontype", {{ tr.sysma_action_type_id }}, null, {{ group.sysma_object_type_id }}, {
                    'center': '{{ U.default_center }}',
                    'zoom': {{ U.default_zoom }}
                });{% endif %}{% endfor %}{% endfor %}
</script>
<script>

    {% set printInfos = app.session.get('print') %}
    {% if printInfos.title|default(null) != null %}
        $('#printTitle').val(decodeHtml('{{ printInfos.title }}'));{% endif %}{% if printInfos.comment|default(null) != null %}
        $('#printComment').val(decodeHtml('{{ printInfos.comment }}'));{% endif %}{% if printInfos.legend_size|default(null) != null %}
        changeLegendSize({{ printInfos.legend_size }});{% endif %}

    $('.rowPrint').unwrap();


    function decodeHtml(html) {
        var txt = document.createElement("textarea");
        txt.innerHTML = html;
        return txt.value;
    }
</script>
